"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TablesExecutor = void 0;
const abstract_executor_1 = require("../common/abstract.executor");
class TablesExecutor extends abstract_executor_1.AbstractExecutor {
    constructor(dbname) {
        super(`SELECT TB.TABLE_NAME AS name, TB.TABLE_COMMENT AS comment, TB.ENGINE AS engine FROM INFORMATION_SCHEMA.TABLES TB WHERE TB.TABLE_SCHEMA = ?`, [dbname]);
    }
}
exports.TablesExecutor = TablesExecutor;
